Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1517246 - Alerts icon (bell icon) on Web Admin home page needs to show/indicate if there are unread events/alerts
Summary: Alerts icon (bell icon) on Web Admin home page needs to show/indicate if ther...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: web-admin-tendrl-ui
Version: rhgs-3.3
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: RHGS 3.4.0
Assignee: Kanika Murarka
QA Contact: Filip Balák
URL:
Whiteboard:
Depends On:
Blocks: 1503134
TreeView+ depends on / blocked
 
Reported: 2017-11-24 11:32 UTC by Sweta Anandpara
Modified: 2018-09-04 06:59 UTC (History)
6 users (show)

Fixed In Version: tendrl-ansible-1.6.1-2.el7rhgs.noarch.rpm, tendrl-api-1.6.1-1.el7rhgs.noarch.rpm, tendrl-commons-1.6.1-1.el7rhgs.noarch.rpm, tendrl-monitoring-integration-1.6.1-1.el7rhgs.noarch.rpm, tendrl-node-agent-1.6.1-1.el7, tendrl-ui-1.6.1-1.el7rhgs.noarch.rpm,
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-09-04 06:58:45 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2616 None None None 2018-09-04 06:59:57 UTC
Github https://github.com/Tendrl ui issues 769 None None None 2018-01-09 11:56:36 UTC

Description Sweta Anandpara 2017-11-24 11:32:50 UTC
Description of problem:
======================
The bell icon on the top right corner of Web Admin home page, which signifies alerts, when clicked displays all alerts. IF there are any new alerts generated, then it should signify with a number (inside a red circle, say) - stating loud and clear that there are x number of unread messages/alerts.

Displaying nothing around the bell does not get the attention of admin.


Version-Release number of selected component (if applicable):
============================================================

tendrl-notifier-1.5.4-3.el7rhgs.noarch
tendrl-ansible-1.5.4-1.el7rhgs.noarch
tendrl-ui-1.5.4-4.el7rhgs.noarch
tendrl-monitoring-integration-1.5.4-5.el7rhgs.noarch
tendrl-grafana-selinux-1.5.3-2.el7rhgs.noarch
tendrl-commons-1.5.4-4.el7rhgs.noarch
tendrl-api-1.5.4-2.el7rhgs.noarch
tendrl-api-httpd-1.5.4-2.el7rhgs.noarch
tendrl-grafana-plugins-1.5.4-5.el7rhgs.noarch
tendrl-selinux-1.5.3-2.el7rhgs.noarch
tendrl-node-agent-1.5.4-5.el7rhgs.noarch

How reproducible:
================
Always

Comment 2 Nishanth Thomas 2017-12-04 04:50:06 UTC
This is an RFE. I would like to propose that we push this out of the release as this is a `nice to have` rather than an impact on the functionality. Also the current implementation is inline with the UX desgin.

Comment 3 Nishanth Thomas 2017-12-04 16:51:55 UTC
Moving this out of 3.3.z

Comment 4 Ju Lim 2018-01-22 15:06:31 UTC
The bell icon should indicate if there are alerts or not. Ideally it should signify the number of unread and uncleared alerts requiring attention.

If we're not able to compute the number of unread and uncleared alerts, we should provide some visual treatment on the bell to indicate if there is an alert vs. not, so the Admin knows that there is something requiring his/her attention.

I've also updated Github https://github.com/Tendrl/ui/issues/769.

Comment 5 Ju Lim 2018-01-22 20:16:38 UTC
Matt Carrano: The appearance/behavior of the bell icon in the masthead is specified in PatternFly here: http://www.patternfly.org/pattern-library/application-framework/masthead/. When there are new or unread alerts present, a blue badge should be added to the upper right corner of the icon. We did not include a count value because it will not scale well from a readability standpoint.

Comment 7 Nishanth Thomas 2018-03-08 12:58:50 UTC
Linked upstream provides details about implementation

Comment 8 Filip Balák 2018-05-30 12:21:54 UTC
In UI there is currently shown blue badge on bell icon when there are alerts of severity warning or error. When all of these alerts are cleared then the blue badge disappears. Based on resolution from https://github.com/Tendrl/ui/issues/769 I VERIFY this BZ.

Tested with:
tendrl-ansible-1.6.3-4.el7rhgs.noarch
tendrl-api-1.6.3-3.el7rhgs.noarch
tendrl-api-httpd-1.6.3-3.el7rhgs.noarch
tendrl-commons-1.6.3-5.el7rhgs.noarch
tendrl-grafana-plugins-1.6.3-3.el7rhgs.noarch
tendrl-grafana-selinux-1.5.4-2.el7rhgs.noarch
tendrl-monitoring-integration-1.6.3-3.el7rhgs.noarch
tendrl-node-agent-1.6.3-5.el7rhgs.noarch
tendrl-notifier-1.6.3-3.el7rhgs.noarch
tendrl-selinux-1.5.4-2.el7rhgs.noarch
tendrl-ui-1.6.3-2.el7rhgs.noarch

Comment 10 errata-xmlrpc 2018-09-04 06:58:45 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2616


Note You need to log in before you can comment on or make changes to this bug.